Subject: Re: Timer task synchronization

From: Spoorthi KA <[email-masked]>
Date: Fri, 30 May 2008 20:07:05 +0530

Hi,

    I am dealing with timer synchronization problem.. we have two timer 
threads. The two timers are started one after the other. The first timer 
timeout value is 10s and the second timer tiemout value is 15s.

The first timer fires after 10s and the timer thread is suspended until 
the second timer completes its task. once the second timer is done the 
first timer resumes.

sometimes the first timer resumes back even before the second timer 
starts and blocks the second timer thread..

can anybody plz help me with this...

spoorthi